curl --request POST \
--url https://gateway.app.clavata.ai:8443/v1/labels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"initialVersionText": "<string>",
"description": "<string>",
"disabled": true,
"labelEvalOptions": {
"bypassCache": true,
"expedited": true,
"bundleSize": 123,
"threshold": 123,
"stack": "<string>",
"imageDetailLevel": "IMAGE_DETAIL_LEVEL_UNSPECIFIED"
},
"globalContext": "<string>"
}
'import requests
url = "https://gateway.app.clavata.ai:8443/v1/labels"
payload = {
"name": "<string>",
"initialVersionText": "<string>",
"description": "<string>",
"disabled": True,
"labelEvalOptions": {
"bypassCache": True,
"expedited": True,
"bundleSize": 123,
"threshold": 123,
"stack": "<string>",
"imageDetailLevel": "IMAGE_DETAIL_LEVEL_UNSPECIFIED"
},
"globalContext": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
initialVersionText: '<string>',
description: '<string>',
disabled: true,
labelEvalOptions: {
bypassCache: true,
expedited: true,
bundleSize: 123,
threshold: 123,
stack: '<string>',
imageDetailLevel: 'IMAGE_DETAIL_LEVEL_UNSPECIFIED'
},
globalContext: '<string>'
})
};
fetch('https://gateway.app.clavata.ai:8443/v1/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"valid": true,
"error": {
"message": "<string>",
"line": 123,
"column": 123
},
"label": {
"labelId": "<string>",
"name": "<string>",
"customerId": "<string>",
"policyId": "<string>",
"disabled": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"expunged": true,
"description": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"labelTagId": "<string>",
"customerId": "<string>",
"name": "<string>",
"color": "<string>",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"expunged": true
}
],
"importProvenance": {
"libraryLabelId": "<string>",
"libraryVersionId": "<string>",
"libraryName": "<string>",
"importedAt": "2023-11-07T05:31:56Z"
}
},
"labelVersion": {
"labelVersionId": "<string>",
"labelId": "<string>",
"text": "<string>",
"blob": "aSDinaTvuI8gbWludGxpZnk=",
"description": "<string>",
"signalCount": 123,
"totalSignalTokens": 123,
"created": "2023-11-07T05:31:56Z",
"expunged": true,
"createdById": "<string>",
"sequentialVersion": 123,
"parentLabelVersionId": "<string>",
"complexityScore": 123,
"labelEvalOptions": {
"bypassCache": true,
"expedited": true,
"bundleSize": 123,
"threshold": 123,
"stack": "<string>",
"imageDetailLevel": "IMAGE_DETAIL_LEVEL_UNSPECIFIED"
},
"globalContext": "<string>",
"tokenCountsV2": {
"dslTokenCount": 123,
"globalContextTokens": 123,
"signalTokens": 123,
"signalSpecialTokens": 123,
"contentSpecialTokens": 123
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Create a label
Creates a label in the authenticated account. Optionally compiles and publishes an initial version from initial_version_text. A label with no versions is a valid state. Evaluation is always by version ID (POST /v1/labels/evaluate); a label with no versions has nothing to evaluate, and that endpoint requires label_version_ids.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Optional description for the initial version.
Optional: initial disabled state (default false).
LabelEvalOptions are options that can be set per-label to control evaluation behavior. Field numbers/types intentionally mirror PolicyEvalOptions for parity.
Show child attributes
Show child attributes
Optional global context to store on the initial label version.
Response
A successful response.
Show child attributes
Show child attributes
Label is a first-class, referenceable label entity (V2). Labels can be policy-scoped (policy_id set) or independent (policy_id empty). Policy-scoped labels are uniquely identified by (customer_id, name, policy_id). Independent labels are uniquely identified by (customer_id, name).
Show child attributes
Show child attributes
LabelVersion is an immutable snapshot of a label's DSL + compiled representation.
Show child attributes
Show child attributes
Was this page helpful?